Bug 222448 - evolution does't ask for smartcard when there is no or wrong smartcard to sign/crypt mail (pgp)
evolution does't ask for smartcard when there is no or wrong smartcard to sig...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
7
All Linux
low Severity medium
: ---
: ---
Assigned To: Matthew Barnes
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-12 11:27 EST by Jurgen Kramer
Modified: 2008-06-27 14:14 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-27 14:14:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jurgen Kramer 2007-01-12 11:27:22 EST
Description of problem:
Evolution does not ask for the proper card when there is none or the wrong
smartcard is inserted when trying to sign/crypt a incomming or outgoing mail.

Version-Release number of selected component (if applicable):
evolution-2.8.2.1-3.fc6
gnupg-1.4.6-2

with:
evolution-data-server-devel-1.8.2-1.fc6
evolution-sharp-0.11.1-10.fc6
evolution-2.8.2.1-3.fc6
evolution-webcal-2.7.1-6
evolution-data-server-1.8.2-1.fc6

How reproducible:
every time

Steps to Reproduce:
1. Leave smartcard out or wrong one in the reader
2. compose mail with pgp signing and/or pgp encrypting
3. press send
  
Actual results:
evolution hangs (grays out with desktop effects enabled)

Expected results:
Evolution should ask for the (proper) card to be inserted

Additional info:
This is with the OpenPGP smartcard and usb reader
Comment 1 Matthew Barnes 2007-10-05 00:06:41 EDT
Is this problem still present in Fedora 8 Test 2 or later?
Comment 2 Jurgen Kramer 2007-11-10 06:26:33 EST
I've just tested it with the latest versions of evolution on FC7, it still hangs
when there is no card or a wrong card in the reader.

Versions:
evolution-data-server-1.10.3.1-2.fc7
evolution-data-server-devel-1.10.3.1-2.fc7
evolution-2.10.3-4.fc7
evolution-webcal-2.10.0-1.fc7
gnupg-1.4.7-6
gnupg2-2.0.6-2.fc7

I will retest once I migrated to F8.
Comment 3 Matěj Cepl 2007-12-10 16:48:24 EST
Fedora Core 6 is no longer supported, could you please reproduce this with the
updated version of the currently supported distribution (Fedora 7, 8, or
Rawhide)? If this issue turns out to still be reproducible, please let us know
in this bug report. If after a month's time we have not heard back from you, we
will have to close this bug as CANTFIX.

Setting status to NEEDINFO, and awaiting information from the reporter.

[This is mass-filed message to all open Fedora Core 6 bugs related to Evolution.
If you see any other reason, why this bug shouldn't be closed, please,
comment on it here.]
Comment 4 Jurgen Kramer 2007-12-12 04:16:06 EST
As mentioned above (comment #2), I tested it on a current F7 system and it does
not work.
Comment 5 Matthew Barnes 2008-01-29 09:18:06 EST
Resetting status to NEEDINFO until problem can be tested on F8.
Comment 6 Matěj Cepl 2008-03-03 09:33:40 EST
Reporter, how is this bug doing for you? Have you by chance upgraded to F8? If
yes, is it still present?
Comment 7 Matěj Cepl 2008-04-09 10:22:38 EDT
Reporter, could you please reply to the previous question? If you won't reply in
one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 8 Jurgen Kramer 2008-04-13 05:04:02 EDT
Sorry, I have not upgraded to F8 yet, as F9 is due soon, I will skip F8.
Comment 9 Bug Zapper 2008-05-14 08:06:39 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Matthew Barnes 2008-05-22 14:15:52 EDT
Setting status to NEEDINFO until this can be checked in F9.
I myself lack the necessary hardware to test it.
Comment 11 Bug Zapper 2008-06-16 21:15:46 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 12 Jurgen Kramer 2008-06-27 14:14:05 EDT
Cloned as bug 453178 for F9.

Note You need to log in before you can comment on or make changes to this bug.